GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
VSIArchiveFilesystemHandler Class Referenceabstract
Inheritance diagram for VSIArchiveFilesystemHandler:

## Public Member Functions
virtual int | Stat (const char *pszFilename, VSIStatBufL *pStatBuf, int nFlags)
virtual int | Unlink (const char *pszFilename)
virtual int | Rename (const char *oldpath, const char *newpath)
virtual int | Mkdir (const char *pszDirname, long nMode)
virtual int | Rmdir (const char *pszDirname)
virtual char ** | ReadDirEx (const char *pszDirname, int nMaxFiles)
virtual const VSIArchiveContent * | GetContentOfArchive (const char *archiveFilename, VSIArchiveReader *poReader=NULL)
virtual char * | SplitFilename (const char *pszFilename, CPLString &osFileInArchive, int bCheckMainFileExists)
virtual VSIArchiveReader * | OpenArchiveFile (const char *archiveFilename, const char *fileInArchiveName)
virtual int | FindFileInArchive (const char *archiveFilename, const char *fileInArchiveName, const VSIArchiveEntry **archiveEntry)
Public Member Functions inherited from VSIFilesystemHandler
VSIVirtualHandle * | Open (const char *pszFilename, const char *pszAccess)
virtual VSIVirtualHandle * | Open (const char *pszFilename, const char *pszAccess, bool bSetError)=0
virtual char ** | ReadDir (const char *pszDirname)
virtual int | IsCaseSensitive (const char *pszFilename)
virtual GIntBig | GetDiskFreeSpace (const char *)
virtual int | SupportsSparseFiles (const char *)

## Protected Member Functions
virtual const char * | GetPrefix ()=0
virtual std::vector< CPLString > | GetExtensions ()=0
virtual VSIArchiveReader * | CreateReader (const char *pszArchiveFileName)=0

## Protected Attributes
CPLMutex * | hMutex
std::map< CPLString, VSIArchiveContent * > | oFileList

The documentation for this class was generated from the following files:

- cpl_vsi_virtual.h
- cpl_vsil_abstract_archive.cpp

Generated for GDAL by 1.8.8.